Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83605 - ash crashes when given an invalid variable construct to evaluate
Summary: ash crashes when given an invalid variable construct to evaluate
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ash
Version: 8.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-06 07:16 UTC by Need Real Name
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-19 14:13:47 UTC


Attachments (Terms of Use)

Description Need Real Name 2003-02-06 07:16:22 UTC
Description of problem:
ash crashes when given an invalid variable construct to evaluate

Version-Release number of selected component (if applicable):
ash-0.3.8-5

How reproducible:
$ echo ${PWD:1}
Syntax error: Bad substitution
Segmentation fault

Steps to Reproduce:
See above.
    
Actual results:
Segmentation fault

Expected results:
Bad substitution, then return to shell prompt

Additional info:
I was just testing ash to see whether it supported this construct; apparently it
does not, but it shouldn't crash as a result.

Comment 1 Lon Hohberger 2003-02-06 15:25:11 UTC
ash-0.3.8-8 should be in rawhide addressing this problem soon



Comment 2 Lon Hohberger 2003-02-19 14:13:47 UTC
Check RawHide:

ftp://ftp.redhat.com/pub/redht/linux/rawhide/i386/RedHat/RPMS/ash-0.3.8-8.i386.rpm

or my people.redhat.com page (until the next release):

http://people.redhat.com/lhh/


Note You need to log in before you can comment on or make changes to this bug.